=== src/mod/applications/mod_skel/Makefile ===
BASE=../../../..
include $(BASE)/build/modmake.rules
