=== src/mod/endpoints/mod_alsa/Makefile ===
BASE=../../../..

LOCAL_CFLAGS=-I. -I$(PA_DIR)/include -D__EXTENSION__=1
LOCAL_LDFLAGS=-lasound

include $(BASE)/build/modmake.rules
