=== src/mod/endpoints/mod_h323/Makefile ===
BASE=../../../..
LOCAL_CFLAGS+=-g -ggdb  -I/usr/include/ptlib -I/usr/include/openh323  -I. -DPTRACING=1 -D_REENTRANT -fno-exceptions
LOCAL_LDFLAGS= -lopenh323 -lpt -lrt 

include $(BASE)/build/modmake.rules
